package controller

import (
	"blazing/common/socket/errorcode"
	"blazing/logic/service/player"
	"blazing/logic/service/user"

	"github.com/jinzhu/copier"
)

// UserSimInfo 根据用户ID获取模拟用户信息
// data: 包含用户ID的输入信息
// c: 玩家对象
// 返回: 模拟用户信息及错误码
func (h Controller) UserSimInfo(data *user.SimUserInfoInboundInfo, c *player.Player) (result *user.SimUserInfoOutboundInfo, err errorcode.ErrorCode) {
	ret := &user.SimUserInfoOutboundInfo{}

	copier.Copy(ret, c.Service.PersonOther(data.UserId))
	return ret, 0
}

// UserMoreInfo 获取用户的更多信息。
// data: 包含用户ID的输入信息。
// c: 当前玩家对象。
// 返回: 包含用户更多信息的输出结果和错误码。
func (h Controller) UserMoreInfo(data *user.MoreUserInfoInboundInfo, c *player.Player) (result *user.MoreUserInfoOutboundInfo, err errorcode.ErrorCode) {
	ret := &user.MoreUserInfoOutboundInfo{}
	info := c.Service.PersonOther(data.UserId)
	copier.Copy(ret, info)

	//todo 待实现
	return ret, 0
}
